/* ------------------------------------------------------------------------- *
 * Copyright 2002-2022, OpenNebula Project, OpenNebula Systems               *
 *                                                                           *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may   *
 * not use this file except in compliance with the License. You may obtain   *
 * a copy of the License at                                                  *
 *                                                                           *
 * http://www.apache.org/licenses/LICENSE-2.0                                *
 *                                                                           *
 * Unless required by applicable law or agreed to in writing, software       *
 * distributed under the License is distributed on an "AS IS" BASIS,         *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  *
 * See the License for the specific language governing permissions and       *
 * limitations under the License.                                            *
 * ------------------------------------------------------------------------- */
module.exports = {
  /* pagination / stepper */
  Back: 'Back',
  Previous: 'Previous',
  Next: 'Next',
  Sort: 'Sort',
  SortBy: 'Sort by',
  Filter: 'Filter',
  Filters: 'Filters',
  FilterBy: 'Filter by',
  FilterLabels: 'Filter labels',
  FilterByLabel: 'Filter by label',
  First: 'First',
  Last: 'Last',
  ApplyLabels: 'Apply labels',
  Label: 'Label',
  NoLabels: 'NoLabels',
  All: 'All',
  On: 'On',
  ToggleAllCurrentPageRowsSelected: 'Toggle all current page rows selected',
  NumberOfResourcesSelected: 'All %s resources are selected',
  SelectAllResources: 'Select all %s resources',
  ClearSelection: 'Clear selection',
  ResetFilters: 'Clear current search query, filters, and sorts',

  /* actions */
  Accept: 'Accept',
  Active: 'Active',
  Add: 'Add',
  AddAction: 'Add action',
  Append: 'Append',
  Attach: 'Attach',
  AttachDisk: 'Attach disk',
  AttachImage: 'Attach image disk',
  AttachNic: 'Attach NIC',
  AttachVolatile: 'Attach volatile disk',
  BackToList: 'Back to %s list',
  Backup: 'Backup',
  Cancel: 'Cancel',
  Change: 'Change',
  ChangeGroup: 'Change group',
  ChangeOwner: 'Change owner',
  Clear: 'Clear',
  ClickToCopy: 'Click to copy',
  Confirm: 'Confirm',
  Commit: 'Commit',
  Clone: 'Clone',
  CloneSeveralTemplates: 'Clone several Templates',
  CloneTemplate: 'Clone Template',
  CloneSecGroup: 'Clone Security Group',
  CloneSecGroups: 'Clone Security Groups',
  Close: 'Close',
  Collapse: 'Collapse',
  Configuration: 'Configuration',
  CopiedToClipboard: 'Copied to clipboard',
  Create: 'Create',
  CreateHost: 'Create Host',
  CreateMarketApp: 'Create Marketplace App',
  CreateProvider: 'Create Provider',
  CreateProvision: 'Create Provision',
  CreateServiceTemplate: 'Create Service Template',
  CreateVirtualNetwork: 'Create Virtual Network',
  CreateVmTemplate: 'Create VM Template',
  CreateImage: 'Create Image',
  CreateSecurityGroup: 'Create Security Group',
  CreateFile: 'Create File',
  CreateDockerfile: 'Create Dockerfile',
  CurrentGroup: 'Current group: %s',
  CurrentOwner: 'Current owner: %s',
  Delete: 'Delete',
  DeleteAllImages: 'Delete all images',
  DeleteDb: 'Delete database',
  DeleteScheduleAction: 'Delete schedule action: %s',
  DeleteSeveralTemplates: 'Delete several Templates',
  DeleteSeveralVirtualNetworks: 'Delete several Virtual Networks',
  DeleteSomething: 'Delete: %s',
  DeleteAddressRange: 'Delete Address Range',
  DeleteTemplate: 'Delete Template',
  DeleteVirtualNetwork: 'Delete Virtual Network',
  DeleteOtherSnapshots: 'This will delete all the other image snapshots',
  Deploy: 'Deploy',
  DeployServiceTemplate: 'Deploy Service Template',
  Detach: 'Detach',
  DetachSomething: 'Detach: %s',
  Disable: 'Disable',
  Dismiss: 'Dismiss',
  Done: 'Done',
  Edit: 'Edit',
  EditSomething: 'Edit: %s',
  Enable: 'Enable',
  Failure: 'Failure',
  Finish: 'Finish',
  Flatten: 'Flatten',
  FlattenSnapshot: 'Flatten %s',
  Hold: 'Hold',
  Import: 'Import',
  Info: 'Info',
  Instantiate: 'Instantiate',
  InstantiateVmTemplate: 'Instantiate VM Template',
  LocateOnTable: 'Locate on table',
  Lock: 'Lock',
  Migrate: 'Migrate',
  MigrateLive: 'Migrate live',
  Offline: 'Offline',
  Pin: 'Pin',
  Poweroff: 'Poweroff',
  PoweroffHard: 'Poweroff hard',
  PressEscapeToCancel: 'Press Escape to cancel',
  Reboot: 'Reboot',
  RebootHard: 'Reboot hard',
  Recover: 'Recover',
  RecoverSeveralVMs: 'Recover several VMs',
  RecoverSomething: 'Recover: %s',
  Recreate: 'Recreate',
  Refresh: 'Refresh',
  Release: 'Release',
  ReleaseIp: 'Release IP',
  Remove: 'Remove',
  Rename: 'Rename',
  RenameSomething: 'Rename: %s',
  Reschedule: 'Reschedule',
  Reserve: 'Reserve',
  Resize: 'Resize',
  ResizeCapacity: 'Resize capacity',
  ResizeSomething: 'Resize: %s',
  Resume: 'Resume',
  Retry: 'Retry',
  Restore: 'Restore',
  Revert: 'Revert',
  RevertSomething: 'Revert: %s',
  Save: 'Save',
  SaveAs: 'Save as',
  SaveAsImage: 'Save as Image',
  SaveAsTemplate: 'Save as Template',
  Search: 'Search',
  Select: 'Select',
  SelectCluster: 'Select Cluster',
  SelectDatastore: 'Select a Datastore to store the resource',
  SelectDatastoreImage: 'Select a Datastore',
  SelectDockerHubTag: 'Select DockerHub image tag (default latest)',
  SelectGroup: 'Select a group',
  SelectHost: 'Select a host',
  SelectMarketplace: 'Select Marketplace',
  SelectNetwork: 'Select a network',
  SelectNewCluster: 'Select a new Cluster',
  SelectRequest: 'Select request',
  SelectTheNewDatastore: 'Select the new datastore',
  SelectTheNewGroup: 'Select the new group',
  SelectTheNewOwner: 'Select the new owner',
  SelectTheNewSecurityGroup: 'Select the new security group',
  SelectVmTemplate: 'Select a VM Template',
  SelectYourActiveGroup: 'Select your active group',
  Share: 'Share',
  Show: 'Show',
  ShowAll: 'Show all',
  SignIn: 'Sign In',
  SignOut: 'Sign Out',
  Stop: 'Stop',
  Submit: 'Submit',
  Success: 'Success',
  Suspend: 'Suspend',
  Take: 'Take',
  TakeSnapshot: 'Take snapshot',
  TakeSnapshotOf: 'Take snapshot: %s',
  TakeSnapshotSomething: 'Take snapshot: %s',
  Terminate: 'Terminate',
  TerminateHard: 'Terminate hard',
  Undeploy: 'Undeploy',
  UndeployHard: 'Undeploy hard',
  Unlock: 'Unlock',
  UnReschedule: 'Un-Reschedule',
  Unshare: 'Unshare',
  Update: 'Update',
  UpdateProvider: 'Update Provider',
  UpdateScheduleAction: 'Update schedule action: %s',
  UpdateServiceTemplate: 'Update Service Template',
  UpdateVirtualNetwork: 'Update Virtual Network',
  UpdateVmConfiguration: 'Update VM Configuration',
  UpdateVmTemplate: 'Update VM Template',

  /* questions */
  Yes: 'Yes',
  No: 'No',
  DoYouWantProceed: 'Do you want proceed?',

  /* Scheduling */
  Action: 'Action',
  ScheduleAction: 'Schedule action',
  Charter: 'Charter',
  PunctualAction: 'Punctual action',
  RelativeAction: 'Relative action',
  DoneAgo: 'Done %s',
  NextInTime: 'Next in %s',
  FirstTime: 'First time %s',
  Mon: 'Mon',
  Monday: 'Monday',
  Tue: 'Tue',
  Tuesday: 'Tuesday',
  Wed: 'Wed',
  Wednesday: 'Wednesday',
  Thu: 'Thu',
  Thursday: 'Thursday',
  Fri: 'Fri',
  Friday: 'Friday',
  Sat: 'Sat',
  Saturday: 'Saturday',
  Sun: 'Sun',
  Sunday: 'Sunday',
  Weekly: 'Weekly',
  Monthly: 'Monthly',
  Yearly: 'Yearly',
  Hourly: 'Hourly',
  EachHours: 'Each %s hours',
  AfterTimes: 'After %s times',
  Today: 'Today',
  Periodic: 'Periodic',
  Time: 'Time',
  TimeAfterTheVmIsInstantiated: 'Time after the VM is instantiated',
  PeriodType: 'Period type',
  GranularityOfAction: 'Granularity of the action',
  DayOfWeek: 'Day of week',
  DayOfMonth: 'Day of month',
  DayOfYear: 'Day of year',
  EachXHours: "Each 'x' hours",
  EndType: 'End type',
  DaysBetween0_6: 'Days should be between 0 (Sunday) and 6 (Saturday)',
  DaysBetween1_31: 'Days should be between 1 and 31',
  DaysBetween0_365: 'Days should be between 0 and 365',
  HoursBetween0_168: 'Hours should be between 0 and 168',
  WhenYouWantThatTheActionFinishes: 'When you want that the action finishes',

  /* footer */
  MadeWith: 'Made with',

  /* dashboard */
  InTotal: 'In Total',
  Used: 'Used',

  /* login */
  Username: 'Username',
  Password: 'Password',
  Token2FA: '2FA Token',
  KeepLoggedIn: 'Keep me logged in',
  Credentials: 'Credentials',
  SwitchView: 'Switch view',
  SwitchGroup: 'Switch group',
  TakeMeToTheAppGui: 'Take me to the %s GUI',

  /* errors */
  Error: 'Error',
  Outdated: 'Outdated',
  Updated: 'Updated',
  Updating: 'Updating',
  Reserved: 'Reserved',
  Vrouter: 'Vrouter',
  SessionExpired: 'Sorry, your session has expired',
  OnlyForOneadminGroup:
    'Only members of the oneadmin group can access OneProvision functionality',
  SomethingWrong: 'Something go wrong',
  CannotConnectOneFlow: 'Cannot connect to OneFlow server',
  CannotConnectOneProvision: 'Cannot connect to OneProvision server',
  ErrorOneProvisionGUI:
    'FireEdge is not correctly configured to operate the OneProvision GUI',
  ContactYourAdmin: 'Please contact your system administrator',
  NotFound: 'Not found',
  Timeout: 'Timeout',
  None: 'None',
  Empty: 'Empty',
  NoDataAvailable: 'There is no data available',
  ErrorsOcurred: '%s error(s) occurred',
  UpdatedNic: 'Updated nic',

  /* steps form */
  AdvancedOptions: 'Advanced options',
  /* steps form - flow */
  ApplicationOverview: 'Application overview',
  WhereWillItRun: 'Where will it run?',
  ConfigureNetworking: 'Configure networking',
  TierDefinition: 'Tier definition',
  ConfigureTiers: 'Configure Tiers',
  ConfigurePolicies: 'Configure policies',
  ConfigureTemplate: 'Configure template',

  /* steps form - provision */
  ProviderOverview: 'Provider overview',
  ProvisionOverview: 'Provision overview',
  ConfigureConnection: 'Configure connection',
  Location: 'Location',
  ProviderTemplate: 'Provider template',
  ProvisionTemplate: 'Provision template',
  ConfigureInputs: 'Configure inputs',
  Log: 'Log',
  AddIP: 'Add IP',
  AddHost: 'Add Host',
  Cleanup: 'Cleanup',
  CleanupConcept: 'Delete all vms and images first, then delete the resources',
  Force: 'Force',
  ForceConcept: 'Force configure to execute',
  ConfigureProvision: 'Configure provision %s',

  /* sections */
  Dashboard: 'Dashboard',

  /* sections - settings */
  Settings: 'Settings',
  Schema: 'Schema',
  Dark: 'Dark',
  Light: 'Light',
  System: 'System',
  Language: 'Language',
  DisableDashboardAnimations: 'Disable dashboard animations',
  ConfigurationUI: 'Configuration UI',
  Authentication: 'Authentication',
  SshPrivateKey: 'SSH private key',
  AddUserSshPrivateKey: 'Add user SSH private key',
  SshPassphraseKey: 'SSH private key passphrase',
  AddUserSshPassphraseKey: 'Add user SSH private key passphrase',
  Labels: 'Labels',
  NewLabelOrSearch: 'New label or search',
  LabelAlreadyExists: 'Label already exists',
  PressToCreateLabel: 'Press enter to create a new label',
  SavesInTheUserTemplate: "Saved in the User's template",
  NoLabelsOnList: 'You have not defined any labels, list is empty',

  /* sections - system */
  User: 'User',
  Users: 'Users',
  Group: 'Group',
  Groups: 'Groups',
  VDC: 'VDC',
  VDCs: 'VDCs',
  ACL: 'ACL',
  ACLs: 'ACLs',

  /* sections - infrastructure */
  Cluster: 'Cluster',
  Clusters: 'Clusters',
  Host: 'Host',
  Hosts: 'Hosts',
  Infrastructure: 'Infrastructure',
  Zone: 'Zone',
  Zones: 'Zones',

  /* sections - network */
  Network: 'Network',
  Networks: 'Networks',
  VirtualNetwork: 'Virtual network',
  VirtualNetworks: 'Virtual networks',
  NetworkTemplate: 'Network Template',
  NetworkTemplates: 'Network Templates',
  NetworkTopology: 'Network topology',
  NetworksTopologies: 'Networks topologies',
  SecurityGroup: 'Security group',
  SecurityGroups: 'Security groups',

  /* sections - storage */
  Backups: 'Backups',
  BackupDatastore: 'Backup Datastore',
  BackupRestored: 'Backup restored',
  Datastore: 'Datastore',
  Datastores: 'Datastores',
  Image: 'Image',
  Images: 'Images',
  File: 'File',
  Files: 'Files',
  Marketplace: 'Marketplace',
  Marketplaces: 'Marketplaces',
  App: 'App',
  Apps: 'Apps',
  Os: 'Operating system image',
  Cdrom: 'Readonly CD-ROM',
  Datablock: 'Generic storage datablock',
  Path: 'Path/URL',
  ImagePath: 'Path in OpenNebula server or URL',
  Upload: 'Upload',
  EmptyDisk: 'Empty disk image',
  ImageSize: 'Image size, in Megabytes',
  Vd: 'Virtio',
  Sd: 'SCSI/SATA',
  Hd: 'Parallel ATA (IDE)',
  CustomBus: 'Custom bus',
  Fs: 'Fs',
  CustomFormat: 'Custom Format',
  Dockerfile: 'Dockerfile',
  Running: 'Running',
  DoNotRestoreNICAttributes: 'Do not restore NIC attributes',
  DoNotRestoreIPAttributes: 'Do not restore IP attributes',
  Full: 'Full',
  Increment: 'Increment',
  Incremental: 'Incremental',
  Mode: 'Mode',
  ResetBackup: 'Reset',

  /* sections - templates & instances */
  Instances: 'Instances',
  VM: 'VM',
  VMs: 'VMs',
  VirtualRouter: 'Virtual Router',
  VirtualRouters: 'Virtual Routers',
  VMGroup: 'VM Group',
  VMGroups: 'VM Groups',
  Templates: 'Templates',
  VMTemplate: 'VM Template',
  VMTemplates: 'VM Templates',
  Service: 'Service',
  Services: 'Services',
  ServiceTemplate: 'Service Template',
  ServiceTemplates: 'Service Templates',

  /* sections - flow */
  ApplicationsTemplates: 'Applications templates',
  ApplicationsInstances: 'Applications instances',
  Tier: 'Tier',
  Tiers: 'Tiers',

  /* sections - provision */
  Provider: 'Provider',
  Providers: 'Providers',
  Provision: 'Provision',
  Provisions: 'Provisions',

  /* tabs */
  Drivers: 'Drivers',
  General: 'General',
  Information: 'Information',
  Placement: 'Placement',

  /* general schema */
  ID: 'ID',
  Name: 'Name',
  State: 'State',
  Size: 'Size',
  SizeOnUnits: 'Size on %s',
  Description: 'Description',
  RegistrationTime: 'Registration time',
  StartTime: 'Start time',
  Started: 'Started',
  StartedOnTime: 'Started on %s',
  Total: 'Total',
  Prolog: 'Prolog',
  EndTime: 'End time',
  Locked: 'Locked',
  Attributes: 'Attributes',
  Type: 'Type',
  Data: 'Data',
  Validate: 'Validate',
  Format: 'Format',
  Prefix: 'Prefix',
  More: 'More',
  UsedOfTotal: 'Used / Total',

  /* permissions */
  Permissions: 'Permissions',
  Use: 'Use',
  Manage: 'Manage',
  Admin: 'Admin',

  /* ownership */
  Ownership: 'Ownership',
  Owner: 'Owner',
  Other: 'Other',
  Primary: 'Primary',
  Secondary: 'Secondary',

  /* instances schema */
  DeployID: 'Deploy ID',
  vCenterDeployment: 'vCenter Deployment',
  Deployment: 'Deployment',
  Monitoring: 'Monitoring',
  EdgeCluster: 'Edge Cluster',

  /* VM schema */
  /* VM schema - remote access */
  Vnc: 'VNC',
  Ssh: 'SSH',
  Rdp: 'RDP',
  SshConnection: 'SSH connection',
  RdpConnection: 'RDP connection',
  Vmrc: 'VMRC',
  Sdl: 'SDL',
  Spice: 'SPICE',
  CtrlAltDel: 'Ctrl-Alt-Del',
  Reconnect: 'Reconnect',
  FullScreen: 'Full screen',
  Screenshot: 'Screenshot',
  LastConnection: 'Last connection',
  VmIsNotOnVCenter: '%s is not located on vCenter Host',
  PartOf: 'Part of',
  GuacamoleState: 'Guacamole State',
  VMRCState: 'VMRC State',
  RdpLayout: 'RDP keyboard layout',
  RdpRizeMethod: 'RDP rezise method',
  DisableAudio: 'Disable audio',
  EnableAudioInput: 'Enable audio input',
  EnableWallpaper: 'Render desktop wallpaper',
  EnableTheming: 'Render windows theming control',
  EnableFontSmoothing: 'Enable font smoothing',
  EnableFullWindowDrag: 'Enable full window drag',
  EnableDesktopComposition: 'Enable desktop composition',
  EnableMenuAnimations: 'Enable menu animations',
  DisableBitmapCaching: 'Disable bitmap caching',
  DisableOffscreenCaching: 'Disable offscreen caching',
  DisableGlyphCaching: 'Disable glyph caching',
  Timezone: 'Timezone',
  /* VM schema - info */
  VmName: 'VM name',
  UserTemplate: 'User Template',
  Template: 'Template',
  WhereIsRunning:
    'VM %1$s is currently running on Host %2$s and Datastore %3$s',
  /* VM schema - capacity */
  Capacity: 'Capacity',
  PhysicalCpu: 'Physical CPU',
  PhysicalCpuWithPercent: 'Physical CPU (%)',
  VirtualCpu: 'Virtual CPU',
  VirtualCpuWithPercent: 'Virtual CPU (%)',
  VirtualCores: 'Virtual Cores',
  Cores: 'Cores',
  Sockets: 'Sockets',
  Memory: 'Memory',
  MemoryWithUnit: 'Memory %s',
  Cost: 'Cost',
  CostEachMonth: '%s / month',
  CostCpu: 'Cost / CPU',
  CostCpuConcept: 'Cost of each CPU per hour',
  CostMemory: 'Cost / Memory',
  CostMemoryConcept: 'Cost of each memory MB per hour',
  CostDiskConcept: 'Cost of each disk GB per hour',
  /* VM schema - storage */
  Storage: 'Storage',
  Disk: 'Disk',
  Disks: 'Disks',
  Volatile: 'Volatile',
  VolatileDisk: 'Volatile disk',
  Snapshot: 'Snapshot',
  SnapshotName: 'Snapshot name',
  DiskSnapshot: 'Disk snapshot',
  DiskSize: 'Disk size',
  NewImageName: 'New Image name',
  NewImageNameConcept: 'Name for the new Image where the disk will be saved',
  /* VM schema - network */
  NIC: 'NIC',
  Alias: 'Alias',
  AsAnAlias: 'Attach as an alias',
  External: 'External',
  ExternalConcept: 'The NIC will be attached as an external alias of the VM',
  OverrideNetworkValuesIPv4: 'Override Network Values IPv4',
  OverrideNetworkValuesIPv6: 'Override Network Values IPv6',
  OverrideNetworkInboundTrafficQos: 'Override Network Inbound Traffic QoS',
  OverrideNetworkOutboundTrafficQos: 'Override Network Outbound Traffic QoS',
  AttachSecurityGroup: 'Attach Security Group',
  DetachSecurityGroup: 'Detach Security Group',
  DetachSecurityGroupFromNic: 'Detach Security Group %1$s from NIC %2$s',
  PortForwarding: 'Port forwarding',
  HostnamePortsForwardedToVmPorts: '%1$s ports %2$s forwarded to VM ports %3$s',
  VirtualNicHardwareMode: 'Virtual NIC hardware mode',
  Emulated: 'Emulated',
  PCIPassthroughAutomatic: 'PCI Passthrough - Automatic',
  PCIPassthroughManual: 'PCI Passthrough - Manual',
  ShortAddress: 'Short address',
  /* VM schema - snapshot */
  VmSnapshotNameConcept: 'The new snapshot name. It can be empty',
  VmSnapshotHint: `
    Snapshots in this tab refer to System Snapshots, which includes all disks and
    the memory state of the VM. For disk snapshots, see the Storage tab`,
  /* VM schema - actions */
  EnforceCapacityChecks: 'Enforce capacity checks',
  EnforceCapacityChecksConcept: `
    If it is set to true, the host capacity will be checked.
    This will only affect oneadmin requests, regular users
    resize requests will always be enforced`,
  RecoverDescription: `
    Recovers a stuck VM that is waiting for a driver operation.
    The recovery may be done by failing, succeeding or retrying the
    current operation. YOU NEED TO MANUALLY CHECK THE VM STATUS ON THE HOST,
    to decide if the operation was successful or not, or if it can be retried`,
  Operation: 'Operation',
  OperationConceptFailure: 'Recover a VM by failing the pending action',
  OperationConceptSuccess: 'Recover a VM by succeeding the pending action',
  OperationConceptRetry: 'Recover a VM by retrying the last failed action',
  OperationConceptDelete: 'No recover action possible, delete the VM',
  OperationConceptRecreate:
    'No recover action possible, delete and recreate the VM',
  OperationConceptDeleteDb: `
  No recover action possible, delete the VM from the DB.
  It does not trigger any action on the hypervisor`,
  RecoverDescriptionVNet: `
    Recovers a stuck Virtual Network after an update operation that didn't 
    finish successfully, since updating a Virtual Network implies updating 
    the corresponding Virtual Machine NICs. The recovery may be done by failing, 
    succeeding or retrying the current operation; or deleting the Virtual Network. 
    You need to manually check the affected VMs and the network resources on the
    infrastructure to decide if the operation was successful or not, or if
    it can be retried.`,
  OperationConceptFailureVNet:
    'Recover a Virtual Network by failing the pending action',
  OperationConceptSuccessVNet:
    'Recover a Virtual Network by succeeding the pending action',
  OperationConceptRetryVNet:
    'Recover a Virtual Network by retrying the last failed action',
  OperationConceptDeleteVNet:
    'No recover action possible, delete the Virtual Network',
  /* VM schema - history */
  RequestId: 'Request ID',
  TimeWhenTheStateChanged: 'Time when the state changed',
  TotalTimeInThisState: 'Total time in this state',
  PrologTimeForThisState: 'Prolog time for this state',

  /* VM Template schema */
  /* VM Template schema - general */
  Custom: 'Custom',
  CustomVariables: 'Custom Variables',
  CustomAttributes: 'Custom Attributes',
  Hypervisor: 'Hypervisor',
  Logo: 'Logo',
  MakePersistent: 'Make Persistent',
  MakeNewImagePersistent: 'Make the new images persistent',
  TemplateName: 'Template name',
  Virtualization: 'Virtualization',
  CustomInformation: 'Custom information',
  CustomVirtualization: 'Custom virtualization',
  VmTemplateNameHelper: `
    Defaults to 'template name-<vmid>' when empty.
    When creating several VMs, the wildcard %%idx will be
    replaced with a number starting from 0`,
  NumberOfInstances: 'Number of instances',
  MakeTemplateAvailableForVROnly:
    'Make this template available for Virtual Router machines only',
  VmOnHoldState: 'Start VM on hold state',
  VmOnHoldStateConcept: `
    Sets the new VM to hold state, instead of pending.
    The scheduler will not deploy VMs in this state.
    It can be released later, or deployed manually`,
  InstantiateAsPersistent: 'Instantiate as persistent',
  InstantiateAsPersistentConcept: `
    Creates a private persistent copy of the template
    plus any image defined in DISK, and instantiates that copy`,
  /* VM schema - ownership */
  InstantiateAsUser: 'Instantiate as different User',
  InstantiateAsGroup: 'Instantiate as different Group',
  /* VM Template schema - storage */
  StorageOptions: 'Storage Options',
  DeployMode: 'Deploy Mode',
  DeployModeConcept: 'Set an alternative mode to deploy VM disks to the hosts',
  /* VM Template schema - network */
  NetworkDefaults: 'Network Defaults',
  NetworkDefaultsConcept: `
    Values that will be copied to each new NIC.
    Final users may not be aware of this`,
  DefaultNicModel: 'Default hardware model to emulate for all NICs',
  DefaultNicFilter: 'Default network filtering rule for all NICs',
  /* VM Template schema - capacity */
  MaxMemory: 'Max memory',
  MaxMemoryConcept: `
    This value sets the maximum value of the MEMORY allowed to be modified
    after instantiation, through the Capacity Resize options of instantiated VMs`,
  MemoryModification: 'Memory modification',
  AllowUsersToModifyMemory:
    "Allow users to modify this template's default memory on instantiate",
  MemoryConcept: 'Amount of RAM required for the VM, in Megabytes',
  CpuConcept: `
    Percentage of CPU divided by 100 required for the
    Virtual Machine. Half a processor is written 0.5`,
  MaxVirtualCpu: 'Max Virtual CPU',
  MaxVirtualCpuConcept: `
    This value sets the maximum value of the VCPU allowed to be modified
    after instantiation, through the Capacity Resize options of instantiated VMs`,
  CpuModification: 'CPU modification',
  AllowUsersToModifyCpu:
    "Allow users to modify this template's default CPU on instantiate",
  VirtualCpuConcept: `
    Number of virtual cpus. This value is optional, the default
    hypervisor behavior is used, usually one virtual CPU`,
  VirtualCpuModification: 'Virtual CPU modification',
  AllowUsersToModifyVirtualCpu:
    "Allow users to modify this template's default Virtual CPU on instantiate",
  EnableHotResize: 'Enable hot resize',
  Hotplug: 'Hotplug',
  Ballooning: 'Ballooning',
  MemoryResizeMode: 'Memory resize mode',
  MemorySlots: 'Memory slots',
  /* VM Template schema - VM Group */
  AssociateToVMGroup: 'Associate VM to a VM Group',
  /* VM Template schema - vCenter */
  vCenterTemplateRef: 'vCenter Template reference',
  vCenterClusterRef: 'vCenter Cluster reference',
  vCenterInstanceId: 'vCenter instance ID',
  vCenterVmFolder: 'vCenter VM folder',
  vCenterVmFolderConcept: `
    If specified, the VMs and Template folder path where
    the VM will be created inside the data center.
    The path is delimited by slashes (e.g /Management/VMs).
    If no path is set the VM will be placed in the same folder where
    the template is located.
  `,
  /* VM Template schema - placement */
  HostReqExpression: 'Host requirements expression',
  HostReqExpressionConcept: `
    Boolean expression that rules out provisioning hosts
    from list of machines suitable to run this VM`,
  HostPolicyExpression: 'Host policy expression',
  HostPolicyExpressionConcept: `
    This field sets which attribute will be used
    to sort the suitable hosts for this VM`,
  DatastoreReqExpression: 'Datastore requirements expression',
  DatastoreReqExpressionConcept: `
    Boolean expression that rules out entries from
    the pool of datastores suitable to run this VM`,
  DatastorePolicyExpression: 'Datastore policy expression',
  DatastorePolicyExpressionConcept: `
    This field sets which attribute will be used to
    sort the suitable datastores for this VM`,
  /* VM Template schema - Backup */
  BackupVolatileDisksQuestion: 'Backup volatile disks?',
  FSFreeze: 'FS Freeze',
  HowManyBackupsQuestion: 'How many backups do you want to keep?',
  QEMUAgent: 'QEMU Agent',
  FSFreezeConcept: `
    How the FS is freeze for running VMs. When
    possible backups are crash consistent`,
  /* VM Template schema - OS & CPU */
  /* VM Template schema - OS & CPU - boot */
  Boot: 'Boot',
  OSAndCpu: 'OS & CPU',
  OSBooting: 'OS Booting',
  BootOrder: 'Boot order',
  BootOrderConcept: 'Select the devices to boot from, and their order',
  CpuArchitecture: 'CPU Architecture',
  BusForSdDisks: 'Bus for SD disks',
  MachineType: 'Machine type',
  RootDevice: 'Root devide',
  KernelBootParameters: 'Kernel boot parameters',
  PathBootloader: 'Path to the bootloader executable',
  UniqueIdOfTheVm: 'Unique ID of the VM',
  UniqueIdOfTheVmConcept: `
    It's referenced as machine ID inside the VM.
    Could be used to force ID for licensing purposes`,
  Firmware: 'Firmware',
  FirmwareConcept:
    'This attribute allows to define the type of firmware used to boot the VM',
  FirmwareSecure: 'Firmware secure',
  CpuModel: 'CPU Model',
  CustomPath: 'Customize with path',
  /* VM Template schema - OS & CPU - kernel */
  Kernel: 'Kernel',
  KernelExpression: 'Kernel expression',
  KernelPath: 'Path to the OS kernel to boot the image',
  /* VM Template schema - OS & CPU - ramdisk */
  Ramdisk: 'Ramdisk',
  RamdiskExpression: 'Ramdisk expression',
  RamdiskPath: 'Path to the initrd image',
  /* VM Template schema - OS & CPU - features */
  Features: 'Features',
  Acpi: 'ACPI',
  AcpiConcept:
    'Add support in the VM for Advanced Configuration and Power Interface (ACPI)',
  Pae: 'PAE',
  PaeConcept: 'Add support in the VM for Physical Address Extension (PAE)',
  Apic: 'APIC',
  ApicConcept: 'Enables the advanced programmable IRQ management',
  Hyperv: 'Hyper-v',
  HypervConcept: 'Add support in the VM for hyper-v features (HYPERV)',
  Localtime: 'Localtime',
  LocaltimeConcept:
    'The guest clock will be synchronized to the hosts configured timezone when booted',
  GuestAgent: 'QEMU Guest Agent',
  GuestAgentConcept: `Enables the QEMU Guest Agent communication.
    This does not start the Guest Agent inside the VM`,
  VirtioQueues: 'Virtio-scsi Queues',
  VirtioQueuesConcept: `Number of vCPU queues to use in the virtio-scsi controller.
    Leave blank to use the default value`,
  IoThreads: 'Iothreads',
  IoThreadsConcept: `
    Number of iothreads for virtio disks.
    By default threads will be assign to disk by round robin algorithm.
    Disk thread id can be forced by disk IOTHREAD attribute`,
  Raw: 'Raw',
  RawData: 'Raw data',
  RawDataConcept: 'Raw data to be passed directly to the hypervisor',
  RawValidateConcept: `
    Disable validation of the RAW data.
    By default, the data will be checked against the libvirt schema`,
  /* VM Template schema - context */
  Context: 'Context',
  SshPublicKey: 'SSH public key',
  AddUserSshPublicKey: 'Add user SSH public key',
  AddNetworkContextualization: 'Add Network contextualization',
  AddNetworkContextualizationConcept: `
    Add network contextualization parameters. For each NIC defined in
    the NETWORK section, ETH$i_IP, ETH$i_NETWORK... parameters will be
    included in the CONTEXT section and will be available in the Virtual Machine`,
  AddOneGateToken: 'Add OneGate token',
  AddOneGateTokenConcept: `
    Add a file (token.txt) to the context containing the token to push
    custom metrics to the Virtual Machine through OneGate`,
  ReportReadyToOneGate: 'Report Ready to OneGate',
  ReportReadyToOneGateConcept: 'Sends READY=YES to OneGate, useful for OneFlow',
  StartScript: 'Start script',
  StartScriptConcept: `
  Text of the script executed when the machine starts up. It can contain
  shebang in case it is not shell script`,
  EncodeScriptInBase64: 'Encode script in Base64',
  ContextFiles: 'Files Datastores',
  ContextFilesConcept: 'List of File images to include in context device',
  InitScripts: 'Init scripts',
  InitScriptsConcept: `
    The contextualization package executes an init.sh file if it exists.
    If more than one script file is added, this list contains the scripts
    to run and their order`,
  ContextCustomVariables: 'Context Custom Variables',
  ContextCustomVariablesConcept:
    'Context information will be send to the VM at boot time',
  ContextCustomVarErrorExists: 'Context Custom Variable already exists',
  /* VM Template schema - Input/Output */
  InputOrOutput: 'Input / Output',
  Input: 'Input',
  Inputs: 'Inputs',
  PciDevices: 'PCI Devices',
  Profile: 'Profile',
  DeviceName: 'Device name',
  Device: 'Device',
  Vendor: 'Vendor',
  Class: 'Class',
  /* VM Template schema - Input/Output - graphics */
  Graphics: 'Graphics',
  ListenOnIp: 'Listen on IP',
  ServerPort: 'Server port',
  ServerPortConcept: 'Port for the VNC/SPICE server',
  Keymap: 'Keymap',
  GenerateRandomPassword: 'Generate random password',
  Command: 'Command',
  Bus: 'BUS',
  ConnectionAttributes: '%s connection attributes',
  /* VM Template schema - Input/Output - graphics - Remote Connections Keymaps */
  Arabic: 'Arabic',
  Croatian: 'Croatian',
  Czech: 'Czech',
  Danish: 'Danish',
  Dutch: 'Dutch',
  EnglishGB: 'English (United Kingdom)',
  EnglishUS: 'English (United States)',
  Estonian: 'Estonian',
  Faroese: 'Faroese',
  Finnish: 'Finnish',
  French: 'French',
  FrenchBe: 'French (Belgium)',
  FrenchCa: 'French (Canada)',
  FrenchBEPO: 'French (BEPO)',
  FrenchSw: 'French (Switzerland)',
  German: 'German',
  GermanSw: 'German (Switzerland)',
  Hungarian: 'Hungarian',
  Icelandic: 'Icelandic',
  Italian: 'Italian',
  Japanese: 'Japanese',
  Latvian: 'Latvian',
  Lithuanian: 'Lithuanian',
  Macedonian: 'Macedonian',
  Norwegian: 'Norwegian',
  Polish: 'Polish',
  Portuguese: 'Portuguese',
  PortugueseBr: 'Portuguese (Brazil)',
  Russian: 'Russian',
  Slovenian: 'Slovenian',
  SpanishEs: 'Spanish (Spain)',
  SpanishLatam: 'Spanish (Latin American)',
  Swedish: 'Swedish',
  Thai: 'Thai',
  Turkish: 'Turkish',
  /* VM graphs */
  DiskReadBytes: 'Disk read bytes',
  DiskWriteBytes: 'Disk write bytes',
  DiskReadIOPS: 'Disk read IOPS',
  DiskWriteIOPS: 'Disk write bytes',
  NetRX: 'Net RX',
  NetTX: 'Net TX',
  NetDownloadSpeed: 'Net download speed',
  NetUploadSpeed: 'Net upload speed',
  /* VM Template schema - Input/Output - graphics - Remote connections */
  DisplayUpdate: 'Display update',
  /* VM Template schema - NUMA */
  NumaTopology: 'NUMA Topology',
  NumaTopologyConcept:
    'These settings will help you to fine tune the performance of VMs',
  PinPolicy: 'Pin Policy',
  NumaNodeItem: 'Node #%s',
  NumaNodeTitle: 'Cores & CPUS',
  PinPolicyConcept: 'Virtual CPU pinning preference: %s',
  NumaSocketsConcept: 'Number of sockets or NUMA nodes',
  NumaCoresConcept: 'Number of cores per node',
  NumaNodeMemory: 'Memory',
  NumaCore: 'Core %s',
  NumaNodeCPUItem: 'CPU #%s',
  Threads: 'Threads',
  ThreadsConcept: 'Number of threads per core',
  HugepageNode: 'Hugepage',
  HugepageNodeFree: 'Free',
  HugepageNodePages: 'Pages',
  HugepageNodeSize: 'Size',
  HugepageNodeUsage: 'Usage',
  HugepagesSize: 'Hugepages size',
  HugepagesSizeConcept:
    'Size of hugepages (MB). If not defined no hugepages will be used',
  MemoryAccess: 'Memory Access',
  MemoryAccessConcept: 'Control if the memory is to be mapped: %s',
  VirtualCpuSelected: 'Virtual Cpu selected',
  VirtualCpuSelectedConcept: `
    Number of virtual CPUs. This value is optional, the default
    hypervisor behavior is used, usually one virtual CPU`,
  /* VM Template schema - actions */
  DeleteAllImagesConcept:
    'Enable to delete the template plus any image defined in DISK',
  CopyOf: 'Copy of ',
  PrefixMultipleConcept:
    'Several templates are selected, please choose prefix to name the new copies',
  PrefixSecGroupsMultipleConcept:
    'Several security groups are selected, please choose a prefix to name the new copies Prefix',
  NewTemplateNameConcept: 'New Image name',
  CloneWithImages: 'Clone with images',
  CloneWithImagesConcept: `
    You can also clone any Image referenced inside this Template.
    They will be cloned to a new Image, and made persistent`,
  ShareVmTemplateDescription: `
    The VM Template(s), along with any image referenced by it, will
    be shared with the group's users. Permission changed: GROUP USE`,
  UnshareVmTemplateDescription: `
    The VM Template(s), along with any image referenced by it, will
    be unshared with the group's users. Permission changed: GROUP USE`,

  /* Service Template schema */
  /* Service Template schema - general */
  Strategy: 'Strategy',
  ShutdownAction: 'Shutdown action',
  ReadyStatusGate: 'Ready status gate',
  AutomaticDeletion: 'Automatic deletion',
  Role: 'Role',
  Roles: 'Roles',
  Cardinality: 'Cardinality',
  Parents: 'Parents',

  /* Virtual Network schema - network */
  Driver: 'Driver',
  IP: 'IP',
  IPv4Concept: 'First IP in the range in dot notation',
  IPv6Concept: 'First IP6 (full 128 bits) in the range',
  MAC: 'MAC',
  MACConcept: `
    First MAC, if not provided it will be generated
    using the IP and the MAC_PREFIX in oned.conf`,
  NetworkAddress: 'Network address',
  NetworkMask: 'Network mask',
  Gateway: 'Gateway',
  Gateway6: 'IPv6 Gateway',
  GatewayConcept: 'Default gateway for the network',
  Gateway6Concept: 'IPv6 router for this network',
  SearchDomainForDNSResolution: 'Search domains for DNS resolution',
  NetworkMethod: 'Network method',
  NetworkMethod4Concept: 'Sets IPv4 guest conf. method for NIC in this network',
  NetworkMethod6Concept: 'Sets IPv6 guest conf. method for NIC in this network',
  DNS: 'DNS',
  DNSConcept: 'DNS servers, a space separated list of servers',
  AverageBandwidth: 'Average bandwidth',
  PeakBandwidth: 'Peak bandwidth',
  PeakBurst: 'Peak burst',
  InboundAverageBandwidthConcept:
    'Average bitrate for the interface in kilobytes/second for inbound traffic',
  InboundPeakBandwidthConcept:
    'Maximum bitrate for the interface in kilobytes/second for inbound traffic',
  OutboundAverageBandwidthConcept:
    'Average bitrate for the interface in kilobytes/second for outbound traffic',
  OutboundPeakBandwidthConcept:
    'Maximum bitrate for the interface in kilobytes/second for outbound traffic',
  PeakBurstConcept: 'Data that can be transmitted at peak speed in kilobytes',
  Hardware: 'Hardware',
  HardwareModelToEmulate: 'Hardware model to emulate',
  TransmissionQueue: 'Transmission queue',
  OnlySupportedForVirtioDriver: 'Only supported for virtio driver',
  GuestOptions: 'Guest options',
  GuestMTU: 'MTU of the Guest interfaces',
  GuestMTUConcept: 'Sets the MTU for the NICs in this network',
  NetMethod: 'Method',
  NetMethod6: 'IPv6 Method',
  UsedLeases: 'Used leases',
  TotalLeases: 'Total leases',
  TotalClusters: 'Total clusters',
  RecoverNetworkDescription: `
    Recovers a Virtual Network in ERROR state or waiting for a driver operation to complete.
    The recovery may be done by failing, succeeding or retrying the current operation.
    YOU NEED TO MANUALLY CHECK THE VN STATUS, to decide if the operation was successful or not, or if it can be retried.

    States for success/failure recovers: LOCK_CREATE, LOCK_DELETE state.
    States for a retry recover: LOCK_CREATE, LOCK_DELETE state.
    States for delete: Any but READY.`,
  ReservationParent: 'Reservation parent',
  ReservedFromVNetId: 'Reserved from VNET %s',
  GuacamoleConnections: 'Guacamole Connections',
  /* Virtual Network schema - driver configuration */
  NetworkMode: 'Network mode',
  Bridge: 'Bridge',
  BridgeConcept: 'Name of the physical bridge in the nodes to attach VM NICs',
  PhysicalDevice: 'Physical device',
  PhysicalDeviceConcept: 'Node NIC to send/receive virtual network traffic',
  MacSpoofingFilter: ' MAC spoofing filter',
  IpSpoofingFilter: ' IP spoofing filter',
  MTU: 'MTU of the interface',
  MTUConcept: 'Maximum Transmission Unit',
  VlanId: 'VLAN ID',
  AutomaticVlanId: 'Automatic VLAN ID',
  VxlanMode: 'VXLAN mode',
  VxlanModeConcept: 'Multicast protocol for multi destination BUM traffic',
  VxlanTunnelEndpoint: 'VXLAN Tunnel endpoint',
  VxlanTunnelEndpointConcept: 'Tunnel endpoint communication type',
  VxlanMulticast: 'VXLAN Multicast',
  VxlanMulticastConcept:
    'Base multicast address for each VLAN. The MC address is :vxlan_mc + :vlan_id',
  IpConfiguration: 'IP Configuration',
  IpConfigurationConcept:
    'Options passed to ip cmd on operations specific to this Virtual Network',
  OuterVlanId: 'Outer VLAN ID',
  AutomaticOuterVlanId: 'Automatic Outer VLAN ID',
  InvalidAttribute: 'Invalid attribute',
  /* Virtual Network schema - address range */
  Addresses: 'Addresses',
  AddressRange: 'Address Range',
  FirstIPv4Address: 'First IPv4 address',
  FirstIPv6Address: 'First IPv6 address',
  FirstMacAddress: 'First MAC address',
  PrefixLength: 'Prefix length',
  PrefixLengthConcept: 'Length of the prefix to configure VM interfaces',
  SLAAC: 'SLAAC',
  IPv6GlobalPrefix: 'IPv6 Global prefix',
  IPv6ULAPrefix: 'IPv6 ULA prefix',
  IPAMDriver: 'IPAM driver',
  InvalidAddress: 'Invalid address',
  InvalidIPv4: 'Invalid IPv4',
  InvalidIPv6: 'Invalid IPv6',
  InvalidMAC: 'Invalid MAC',
  DisabledAddressRangeInForm:
    'Address Ranges need to be managed in the individual Virtual Network panel',
  /* Virtual Network schema - QoS */
  QoS: 'QoS',
  InboundTraffic: 'Inbound traffic',
  OutboundTraffic: 'Outbound traffic',
  SelectQOS: 'Select QoS',
  /* Virtual Network schema - reserve */
  ReservationFromVirtualNetwork: 'Reservation from Virtual Network',
  CanSelectAddressFromAR:
    'You can select the addresses from an specific Address Range',
  NumberOfAddresses: 'Number of addresses',
  AddToNewVirtualNetwork: 'Add to a new Virtual Network',
  AddToExistingReservation: 'Add to an existing Reservation',
  FirstAddress: 'First address',
  IpOrMac: 'IP or MAC',

  /* security group schema */
  Security: 'Security',
  TCP: 'TCP',
  UDP: 'UDP',
  ICMP: 'ICMP',
  ICMPV6: 'ICMPv6',
  IPSEC: 'IPsec',
  Outbound: 'Outbound',
  Inbound: 'Inbound',
  Any: 'Any',
  Protocol: 'Protocol',
  IcmpType: 'ICMP Type',
  IcmpTypeV6: 'ICMPv6 Type',

  /* Host schema */
  IM_MAD: 'IM MAD',
  VM_MAD: 'VM MAD',
  Wilds: 'Wilds',
  Zombies: 'Zombies',
  Numa: 'NUMA',
  Hostname: 'Hostname',
  /* Host schema - capacity */
  AllocatedMemory: 'Allocated Memory',
  AllocatedCpu: 'Allocated CPU',
  RealMemory: 'Real Memory',
  RealCpu: 'Real CPU',
  Overcommitment: 'Overcommitment',
  /* Host schema - template */
  ISOLCPUS: 'Isolated CPUS',
  TemplateToIsolateCpus:
    'Comma separated list of CPU IDs that will be isolated from the NUMA scheduler',

  /* Cluster schema */
  /* Cluster schema - capacity */
  ReservedMemory: 'Allocated Memory',
  ReservedCpu: 'Allocated CPU',

  /* Marketplace App schema */
  /* Marketplace App - general */
  RegisteredAt: 'Registered %s',
  Version: 'Version',
  AppTemplate: 'App Template',
  TemplatesForTheApp: 'Templates for the App',
  TemplatesForTheAppConcept: `
    VM Template to be created. A DISK element pointing to the App Image will be
    automatically added when the App is exported`,
  ImportIntoDatastore: 'Import into Datastore',
  DownloadAppToOpenNebula: 'Download App to OpenNebula',
  DownloadApp: 'Download App',
  ExportAppNameConcept:
    'Name that the resource will get for description purposes',
  ExportTemplateNameConcept: `
    The following template will be created in OpenNebula
    and the previous images will be referenced in the disks`,
  ExportAssociateApp: 'Export associated VM templates/images',
  ImportAssociateApp: 'Import associated VM templates/images',
  SelectResourceToCreateTheApp: 'Select the resource to create the App',
  SelectImageToCreateTheApp: 'Select the Image to create the App',
  SelectVmToCreateTheApp: 'Select the VM to create the App',
  SelectVmTemplateToCreateTheApp: 'Select the VM Template to create the App',

  /* Image schema */
  /* Image - general */
  Limit: 'Limit',
  BasePath: 'Base path',
  FileSystemType: 'Filesystem type',
  Persistent: 'Persistent',
  NonPersistent: 'Non Persistent',
  RunningVMs: 'Running VMs',
  /* Disk - general */
  DiskType: 'Disk type',
  SizeOnInstantiate: 'Size on instantiate',
  SizeOnInstantiateConcept: `
    The size of the disk will be modified to match
    this size when the template is instantiated`,
  TargetDevice: 'Target device',
  TargetDeviceConcept: `
    Device to map image disk.
    If set, it will overwrite the default device mapping`,
  ReadOnly: 'Read-only',
  BusAdapterController: 'Bus adapter controller',
  DiskProvisioningType: 'Disk provisioning type',
  Cache: 'Cache',
  IoPolicy: 'IO Policy',
  Discard: 'Discard',
  IopsSize: 'Size of IOPS per second',
  ThrottlingBytes: 'Throttling (Bytes/s)',
  ThrottlingIOPS: 'Throttling (IOPS)',
  TotalValue: 'Total value',
  TotalMaximum: 'Total maximum',
  TotalMaximumLength: 'Total maximum length',
  ReadValue: 'Read value',
  ReadMaximum: 'Read maximum',
  ReadMaximumLength: 'Read maximum length',
  WriteValue: 'Write value',
  WriteMaximum: 'Write maximum',
  WriteMaximumLength: 'Write maximum length',
  SnapshotFrequency: 'Snapshot Frequency in seconds',
  IoThreadId: 'IOTHREAD id',
  IoThreadIdConcept: `
    Iothread id used by this disk. Default is round robin.
    Can be used only if IOTHREADS > 0. If this input is disabled
    please first configure IOTHREADS value on OS & CPU -> Features`,
  ImageLocation: 'Image Location',

  /* Provision schema */
  /* Provision - general */
  ProvisionId: 'Provision ID',

  /* User inputs */
  UserInputs: 'User Inputs',
  UserInputsConcept: `
    These attributes must be provided by the user when a new VM is instantiated.
    They will be included in the VM context`,
  Fixed: 'Fixed',
  Range: 'Range',
  List: 'List',
  AnyValue: 'Any value',
  Options: 'Options',
  UIOptionsConcept:
    'Comma-separated list of options for the drop-down select input',
  Min: 'Min',
  Max: 'Max',
  DefaultValue: 'Default value',
  Mandatory: 'Mandatory',
  PressKeysToAddAValue: 'Press any of the following keys to add a value: %s',
  /** Security Groups */
  Start: 'Start',
  Rules: 'Rules',
  PortRange: 'Port Range',
  FirstIPIPv6Address: 'First IP/IPv6 address',
  TargetNetwork: 'Target Network',
  AnyNetwork: 'Any Network',
  ManualNetwork: 'Manual Network',
  OpennebulaVirtualNetwork: 'OpenNebula Virtual Network',
  SelectNewNetwork: 'Please select a network from the list',
  NotVmsCurrentySecGroups:
    'There are currently no VMs associated with this Security Group',
  CommitMessageSecGroups: `
    Please note: each time the rules are edited, the commit operation is done automatically.
    This action will force the propagation of security group changes to VMs. 
    The operation takes time to iterate over all VMs in the security group, 
    the progress can be checked in the "VMs" panel.`,
  /** Image */
  NotVmsCurrentyImage: 'There are currently no VMs associated with this image',
  NotSnapshotCurrenty:
    'There are currently no snapshots associated with this image',

  /* Validation */
  /* Validation - mixed */
  'validation.mixed.default': 'Is invalid',
  'validation.mixed.required': 'Is a required field',
  'validation.mixed.oneOf': 'Must be one of the following values: %s',
  'validation.mixed.notOneOf': 'Must not be one of the following values: %s',
  'validation.mixed.notType': 'Invalid type',
  'validation.mixed.notType.string': 'Must be a string type',
  'validation.mixed.notType.number': 'Must be a number type',
  'validation.mixed.notType.date': 'Must be a date type',
  'validation.mixed.notType.boolean': 'Must be a boolean type',
  'validation.mixed.notType.object': 'Must be an object type',
  'validation.mixed.notType.array': 'Must be an array type',
  'validation.mixed.defined': 'Must be defined',
  /* Validation - string */
  'validation.string.length': 'Must be exactly %s characters',
  'validation.string.min': 'Must be at least %s characters',
  'validation.string.max': 'Must be at most %s characters',
  'validation.string.matches': 'Must match the following: "%s"',
  'validation.string.email': 'Must be a valid email',
  'validation.string.url': 'Must be a valid URL',
  'validation.string.uuid': 'Must be a valid UUID',
  'validation.string.trim': 'Must be a trimmed string',
  'validation.string.lowercase': 'Must be a lowercase string',
  'validation.string.uppercase': 'Must be a upper case string',
  'validation.string.invalidFormat': 'File has invalid format',
  /* Validation - number */
  'validation.number.min': 'Must be greater than or equal to %s',
  'validation.number.max': 'Must be less than or equal to %s',
  'validation.number.lessThan': 'Must be less than %s',
  'validation.number.moreThan': 'Must be greater than %s',
  'validation.number.positive': 'Must be a positive number',
  'validation.number.negative': 'Must be a negative number',
  'validation.number.integer': 'Must be an integer',
  'validation.number.isDivisible': 'Should be divisible by %s',
  /* Validation - date  */
  'validation.date.min': 'Must be later than %s',
  'validation.date.max': 'Must be at earlier than %s',
  /* Validation - boolean  */
  'validation.boolean.isValue': 'Must be %s',
  /* Validation - object  */
  'validation.object.noUnknown': 'Has unspecified keys: %s',
  /* Validation - array  */
  'validation.array.min': 'Must have at least %s item(s) to act as a default',
  'validation.array.max': 'Must have less than or equal to %s item(s)',
  'validation.array.length': 'Must have %s item(s)',
}
